## oem-atheros-bluetooth-1417476-dkms 1.0.19oem2

=== Makefile ===
#/usr/bin/make
SRC = $(DESTDIR)/usr/src
SHARE = $(DESTDIR)/usr/share/$(NAME)-dkms

all:

clean:

install:

#source tree
ifeq ("$(wildcard $(NAME))", "$(NAME)")
	cp -a "$(NAME)" "$(SRC)/$(NAME)-$(VERSION)"
	chmod 644 -R "$(SRC)/$(NAME)-$(VERSION)"
endif

#tarball, possibly with binaries
ifeq ("$(wildcard $(NAME)-$(VERSION).dkms.tar.gz)", "$(NAME)-$(VERSION).dkms.tar.gz")
	install -d "$(SHARE)"
	install -m 644 $(NAME)-$(VERSION).dkms.tar.gz "$(SHARE)"
endif

#postinst, only if we are supporting legacy mode
ifeq ("$(wildcard common.postinst)", "common.postinst")
	install -d "$(SHARE)"
	install -m 755 $(PREFIX)/usr/lib/dkms/common.postinst $(SHARE)/postinst
endif

=== oem-atheros-bluetooth-1417476/Makefile ===
KVER?= $(shell uname -r)
obj-$(CONFIG_BT_ATH3K)          := ath3k.o

iccflags-y += -D__CHECK_ENDIAN__

all:
	make -C /lib/modules/$(KVER)/build M=$(shell pwd) modules

clean:
	make -C /lib/modules/$(KVER)/build M=$(shell pwd) clean

.PHONY: all clean

=== debian/changelog ===
oem-atheros-bluetooth-1417476-dkms (1.0.19oem2) precise; urgency=medium

  * Set series to precise.

 -- Gerald Yang <gerald.yang@canonical.com>  Tue, 03 Mar 2015 18:46:53 +0800

oem-atheros-bluetooth-1417476-dkms (1.0.19oem1) trusty; urgency=low

  * From HWE, backport ath3k from 3.19 kernel to fix 1417476.

 -- Gerald Yang <gerald.yang@canonical.com>  Tue, 03 Mar 2015 17:28:27 +0800

=== debian/control ===
Source: oem-atheros-bluetooth-1417476-dkms
Section: misc
Priority: optional
Maintainer: Canonical Commercial Engineering <commercial-engineering@canonical.com>
Build-Depends: debhelper (>= 7), dkms, dh-modaliases
Standards-Version: 3.8.1

Package: oem-atheros-bluetooth-1417476-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
Description: oem-atheros-bluetooth-1417476 driver in DKMS format.
XB-Modaliases: ${modaliases}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=oem-atheros-bluetooth-1417476
NAME=oem-atheros-bluetooth-1417476
VERSION=1.0.19oem2

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_modaliases
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
